<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Payroll Update</title>
</head>
<body>

<section class="content-header" layout:fragment="breadcrumb">
  <h1>
    Payroll
    <small th:text="${employess.getCompanies().getCompanyName()}">Control panel</small>
  </h1>
  <ol class="breadcrumb">
    <li><a href="#"><i class="fa fa-dashboard"></i> Payroll</a></li>
    <li class="active">Update</li>
  </ol>
</section>

<section layout:fragment="main" class="content">

  <div class="row">
    <div class = "col-md-12">

      <div class="callout callout-success" th:if="${successimpor != null}">
        <h4>Impor Data Success!</h4>

        <p>Data Berhasil Disimpan.</p>
      </div>

    <div class="callout callout-danger" th:if="${datefailed != null}">
      <h4>Effective Date belum ditentukan</h4>
      <p></p>
    </div>
    <div class="box box-info">
      <div class = "box-header with-border">
        <form method="get">
          <div class="row">
            <div class = "col-md-6">
              <div class="row">
                <div class="form-group">
                  <label class="col-sm-2 control-label">Effective Date:</label>
                  <div class="col-sm-10">
                    <div class="input-group date">
                      <div class="input-group-addon">
                        <i class="fa fa-calendar"></i>
                      </div>
                      <input type="text" class="form-control pull-right" id="effectiveDateString" th:value="${effectiveDateString}" name="effectiveDateString" onchange="dtable()" placeholder="Effective Date MM/dd/yyyy">
                    </div>
                    <input type="hidden" id="isiEffectiveDateString" name="isiEffectiveDateString">
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="form-group">
                  <label class="col-sm-2 control-label">End Date:</label>
                  <div class="col-sm-10">
                    <div class="input-group date">
                      <div class="input-group-addon">
                        <i class="fa fa-calendar"></i>
                      </div>
                      <input type="text" class="form-control pull-right" id="endDateString" th:value="${endDateString}" name="endDateString" onchange="dtable()" placeholder="End Date MM/dd/yyyy">
                    </div>
                    <input type="hidden" id="isiEndDateString" name="isiEndDateString">
                  </div>
                </div>
              </div>

            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label for="payrollComponent" class="col-sm-2 control-label">PayrollComponent</label>

                <div class="col-sm-10">
                  <select class="form-control select2" name="payrollComponent" id="payrollComponent" style="width: 100%;" onchange="dtable()">
                    <option>Pilih Component</option>
                    <option th:each="data : ${listPayrollComponent}"
                            th:selected="(${data} == *{payrollComponentSelected})"
                            th:text="${'('+ data.getJenisComponent() +')'  + '       -       ' +  data.getName()}"
                            th:value="${data.id}">sdasd</option>
                  </select>

                  <input type="hidden" id="isiPayrollComponent" name="isiPayrollComponent">
                </div>
              </div>
            </div>
          </div>

          <div class="row">

            <div class="col-md-6">
              <div class="form-group">
                <label for="tipe" class="col-sm-2 control-label">Type</label>

                <div class="col-sm-10">
                  <select class="form-control select2" name="tipe" id="tipe" style="width: 100%;">
                    <option th:value="ADJUSTMENT" th:text="ADJUSMENT" >sdasd</option>
                    <option th:value="DEFAULT" th:text="DEFAULT" >sdasd</option>
                  </select>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="form-group">
                <label for="description" class="col-sm-2 control-label">Desctiption</label>

                <div class="col-sm-10">
                  <input type="text" class="form-control" name="description" id="description" placeholder="Description">
                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
      <div class = "box-body">

        <a th:if="${payrollComponentSelected != null}" class="btn btn-default" title="Add"><i class="ion-plus"></i> Add</a>
<!--        <a th:if="${payrollComponentSelected != null}" class="btn btn-default" title="Add"><i class="ion-android-download"></i> Import</a>-->

        <button th:if="${payrollComponentSelected != null}" type="button" class="btn btn-default" data-toggle="modal" data-target="#modal-import">
          <i class="ion-android-download"></i> Import
        </button>

        <a th:if="${payrollComponentSelected != null}" th:href="@{/payroll/update/excel(payrollComponent=${payrollComponentSelected.getId()})}" class="btn btn-default" title="Add"><i class="ion-android-upload"></i> Export</a>
        <a th:if="${payrollComponentSelected != null}" class="btn btn-default" title="Add"><i class="ion-ios-reload"></i> Reset</a>
        <a th:if="${payrollComponentSelected != null}" class="btn btn-default" title="Add"><i class="ion-android-delete"></i> Delete</a>


        <div class="modal fade" id="modal-import">
          <div class="modal-dialog">
            <div class="modal-content">
              <form th:action="@{/payroll/update/import}" method="post" enctype="multipart/form-data">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title">Import Data</h4>
              </div>
              <div class="modal-body">

                  <input th:if="${payrollComponentSelected != null}"  type="hidden" th:name="payrollComponent" th:value="${payrollComponentSelected.getId()}">
                  <input th:if="${effectiveDateString != null}"  type="hidden" th:name="effectiveDate" th:value="${effectiveDateString}">
                  <input th:if="${endDateString != null}"  type="hidden" th:name="endDate" th:value="${endDateString}">
                <input type="file" th:name="file" />


              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                <input th:type="submit" value="Import" />
              </div>
              </form>
            </div>
            <!-- /.modal-content -->
          </div>
          <!-- /.modal-dialog -->
        </div>

      </div>
      <div class = "box-footer table-responsive">

<!--        <table class="table table-bordered">-->
<!--          <tr>-->
<!--            <th style="width: 10px">#</th>-->
<!--            <th>Employee ID</th>-->
<!--            <th>Full Name</th>-->
<!--            <th>Current Ammount</th>-->
<!--            <th>New Ammount</th>-->
<!--            <th style="width: 40px"></th>-->
<!--          </tr>-->
<!--&lt;!&ndash;          <tr th:each="dataEmployeePayrollComponentHistory,row : ${listEmployeePayrollComponentHistory}">&ndash;&gt;-->
<!--&lt;!&ndash;            <td th:text="${(row.index + 1) + (listEmployeePayrollComponentHistory.number * listEmployeePayrollComponentHistory.size)}">1.</td>&ndash;&gt;-->

<!--&lt;!&ndash;            <td th:text="${dataEmployeePayrollComponentHistory.getTipe()}">BEASISWA</td>&ndash;&gt;-->
<!--&lt;!&ndash;            <td th:text="${dataEmployeePayrollComponentHistory.getPayrollComponent().getName()}" title="edit"></td>&ndash;&gt;-->
<!--&lt;!&ndash;            <td th:text="${dataEmployeePayrollComponentHistory.getPayrollComponent().getJenisComponent()}"></td>&ndash;&gt;-->
<!--&lt;!&ndash;            <td th:text="${#temporals.format(dataEmployeePayrollComponentHistory.getEffectiveDate(),'dd-MMM-yyyy')}">BEASISWA</td>&ndash;&gt;-->
<!--&lt;!&ndash;            <td>&ndash;&gt;-->

<!--&lt;!&ndash;              &lt;!&ndash;                                    <a th:href="@{/masterdata/position/edit(position = ${dataPosition.id})}" class="btn btn-success btn-xs">Edit</a>&ndash;&gt;&ndash;&gt;-->

<!--&lt;!&ndash;              <a th:href="@{/payroll/update/edit(employeePayrollComponentHistory=${dataEmployeePayrollComponentHistory.id})}" class="ion ion-edit">&ndash;&gt;-->
<!--&lt;!&ndash;                Edit&ndash;&gt;-->
<!--&lt;!&ndash;              </a>&ndash;&gt;-->
<!--&lt;!&ndash;            </td>&ndash;&gt;-->
<!--&lt;!&ndash;          </tr>&ndash;&gt;-->

<!--          <tr>-->
<!--            <th style="width: 10px">#</th>-->
<!--            <th>Employee ID</th>-->
<!--            <th>Full Name</th>-->
<!--            <th>Current Ammount</th>-->
<!--            <th>New Ammount</th>-->
<!--            <th style="width: 40px"></th>-->
<!--          </tr>-->


<!--        </table>-->

        <table id="example1" class="table table-bordered table-striped">
          <thead>
          <tr>
            <th>No</th>
            <th>Employee ID</th>
            <th>Full Name</th>
            <th>Effective</th>
            <th>End</th>
            <th>Current Ammount</th>
            <th>New Ammount</th>
          </tr>
          </thead>
          <tbody>
          <tr th:each="dataEmployeePayrollComponentHistoryDetail,row : ${listEmployeePayrollComponentHistoryDetail}">
            <td th:text="${row.index + 1}">Trident</td>
            <td th:text="${dataEmployeePayrollComponentHistoryDetail.getEmployeeId()}">Internet</td>
            <td th:text="${dataEmployeePayrollComponentHistoryDetail.getFullName()}">Win 95+</td>
            <td th:text="${dataEmployeePayrollComponentHistoryDetail.getEffectiveDate()}">Win 95+</td>
            <td th:text="${dataEmployeePayrollComponentHistoryDetail.getEndDate()}">Win 95+</td>
            <td th:text="${#numbers.formatDecimal(dataEmployeePayrollComponentHistoryDetail.getCurrentAmmount(), 0, 'POINT', 2, 'COMMA')}"> </td>
            <td th:text="${#numbers.formatDecimal(dataEmployeePayrollComponentHistoryDetail.getNewAmmount(), 0, 'POINT', 2, 'COMMA')}"> </td>
          </tr>
          </tbody>
          <tfoot>
          <tr>
            <th>No</th>
            <th>Employee ID</th>
            <th>Full Name</th>
            <th>Effective</th>
            <th>End</th>
            <th>Current Ammount</th>
            <th>New Ammount</th>
          </tr>
          </tfoot>
        </table>

<!--        <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--          <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                  aria-hidden="true">&laquo;</span></a>-->
<!--          </li>-->
<!--          <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--          </li>-->
<!--        </ul>-->

      </div>
    </div>
    </div>
  </div>

</section>

<section layout:fragment="footer" class="script">
  <script>
    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Datemask dd/mm/yyyy
      $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
      //Datemask2 mm/dd/yyyy
      $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
      //Money Euro
      $('[data-mask]').inputmask()

      //Date range picker
      $('#reservation').daterangepicker()
      //Date range picker with time picker
      $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
      //Date range as a button
      $('#daterange-btn').daterangepicker(
              {
                ranges   : {
                  'Today'       : [moment(), moment()],
                  'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                  'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                  'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                  'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                  'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                },
                startDate: moment().subtract(29, 'days'),
                endDate  : moment()
              },
              function (start, end) {
                $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
              }
      )

      //Date picker
      $('#effectiveDateString').datepicker({
        autoclose: true
      })

      $('#endDateString').datepicker({
        autoclose: true
      })

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass   : 'iradio_minimal-blue'
      })
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass   : 'iradio_minimal-red'
      })
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass   : 'iradio_flat-green'
      })

      //Colorpicker
      $('.my-colorpicker1').colorpicker()
      //color picker with addon
      $('.my-colorpicker2').colorpicker()

      //Timepicker
      $('.timepicker').timepicker({
        showInputs: false
      })
    })
  </script>
  <script>
    $(".js-example-placeholder-single").select2({
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });

    $('.simpan').click(function () {
      Swal.fire({
        position: 'top-end',
        type: 'success',
        title: 'Your work has been saved',
        showConfirmButton: false
      })
    });
  </script>
  <script>
    $(function () {
      $('#example1').DataTable()
      $('#example2').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : false,
        'ordering'    : true,
        'info'        : true,
        'autoWidth'   : false
      })
    })

    $(function() {

      var bla = $('#effectiveDateString').val();
      $('#effectiveDateString').val(bla);

    });

    $(function() {

      var blas = $('#endDateString').val();
      $('#endDateString').val(blas);

    });

    (function($){
      $('#payrollComponent').select2();
      $('#payrollComponent').on('select2:selecting', function(e) {
        console.log('Selecting: ' , e.params.args.data.id);
        $('#isiPayrollComponent').val(e.params.args.data.id);
      });
    })(jQuery);

    function dtable() {

      // const url = '/api/detail/anggarandto?idAnggaran='+$('#isiPayrollComponent').val();
      window.location.href = '/payroll/update/new?payrollComponent='+$('#isiPayrollComponent').val()+'&effectiveDate='+$('#effectiveDateString').val()+'&endDate='+$('#endDateString').val();


    }
  </script>


</section>
</body>
</html>